## org.firebirdsql.jdbc
Interface Synchronizable

All Known Implementing Classes:
  AbstractCallableStatement, AbstractPreparedStatement, AbstractResultSet, AbstractStatement, FBBlob, FBCachedBlob, FBCallableStatement, FBPreparedStatement, FBResultSet, FBStatement, InternalTransactionCoordinator

    public interface Synchronizable

Provides synchronization object. Instances implementing this interface provide objects that are later used in `synchronized` block:

     Object syncObject = someSynchronizable.getSynchronizationObject();
     synchronized(syncObject) {
         // do something...
     }

Author:
  Roman Rokytskyy

Method Summary
`Object` `getSynchronizationObject()` Get synchronization object.

Method Detail

### getSynchronizationObject

    Object getSynchronizationObject()
                                    throws SQLException

  Get synchronization object.

  Returns:
    object, cannot be `null`.
  Throws:
    `SQLException` - if something went wrong.

Copyright © 2001-2010. All Rights Reserved.